Browse
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families/bulk-edit/components/browse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parentSearch": "<string>",
"parentCategoryId": "<string>",
"componentCategoryId": "<string>",
"search": "<string>",
"cursor": "<string>",
"parentScope": {
"mode": "explicit",
"familyIds": [
"<string>"
]
}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families/bulk-edit/components/browse"
payload = {
"parentSearch": "<string>",
"parentCategoryId": "<string>",
"componentCategoryId": "<string>",
"search": "<string>",
"cursor": "<string>",
"parentScope": {
"mode": "explicit",
"familyIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parentSearch: '<string>',
parentCategoryId: '<string>',
componentCategoryId: '<string>',
search: '<string>',
cursor: '<string>',
parentScope: {mode: 'explicit', familyIds: ['<string>']}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families/bulk-edit/components/browse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"fields": [
{
"fieldKey": "<string>",
"label": "<string>",
"type": "text",
"options": [
{}
],
"logicType": "catalog_family",
"slug": "<string>"
}
],
"components": [
{
"id": "<string>",
"name": "<string>",
"categoryName": "<string>",
"kind": "material",
"categoryId": "<string>",
"parents": [
{
"itemId": "<string>",
"linkId": "<string>",
"id": "<string>",
"name": "<string>",
"referenceNumber": "<string>"
}
],
"parentCount": 123,
"parentNextCursor": "<string>",
"values": {}
}
],
"nextCursor": "<string>"
}Catalog Component Bulk Edit
Browse
POST
/
v1
/
workspaces
/
{workspaceId}
/
catalog-families
/
bulk-edit
/
components
/
browse
Browse
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I